@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');

@layer base {
  html, body { height: 100%; }

  html {
    @apply text-base text-gray-900 bg-gray-300;
    font-family: 'Roboto', sans-serif;
  }

  body {

  }

  h1 {
    @apply text-xl;
  }

  h2 {
    @apply text-lg;
  }

  h3 {

  }

  h4 {

  }

  h5 {

  }

  h6 {

  }

  p {
    @apply text-base;
  }

  span {
    // Ne jamais attribuer de valeur par défaut pour les span qui devront
    // hériter du CSS des classes parentes.
  }

  .btn {
    @apply p-4 rounded text-white font-bold text-xl;

    &.btn-red {
      background-color: var(--color-secondary);
    }

    &.btn-transparent {
      @apply bg-transparent text-gray-800 border border-gray-800 font-normal;
    }

    &.btn-small { @apply text-sm font-normal }
  }

  a {
    @apply block text-primary;
    &:hover {
      @apply underline;
    }
  }

  .main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    width: 90%;
    max-width: 1000px;
  }

  .message {
    @apply p-3 my-5 text-white font-bold rounded bg-green-900 text-center;

    &.error {
      background-color: var(--color-secondary);
    }
  }
}